'use strict';
var execSync = require('./exec_sync');
var distpath = require('path').normalize(process.env.TMPDIR + 'dist/');

/**
 * does exactly what you expect: install the node_modules required to run
 * your lambda function.
 * @param {String} distpath - the path to your /dist directory where you
 * want the prod node_modules to be installed for packaging
 */
module.exports = function installNodeModules () {
  var start = process.cwd();            // get current working directory
  process.chdir(distpath);              // change to /dist directory
  var cmd = 'npm install --production'; // install only production node_modules
  execSync(cmd);                        // execute command synchronously
  process.chdir(start);                 // change back to original directory
  return;
};
