'use strict';
var assert = require('assert');
var path = require('path');
var utils = require('../lib/utils');
var copyfiles = require('../lib/copyfiles');
var installnodemodules = require('../lib/install_node_modules');

describe('install_node_modules (production)', function () {
  it('install production node_modules only', function (done) {
    var distpath = path.normalize(process.env.TMPDIR + 'dist/');
    copyfiles();
    installnodemodules();
    var awspkg = path.resolve(distpath, 'node_modules/aws-sdk/package.json');
    var pkg = require(awspkg);
    assert.equal(pkg.name, 'aws-sdk');
    utils.deleteDirContents(distpath, true);  // cleanup for next test
    done();
  });
});
